Subject: Re: TLB and CSSBAR problems with MPC8540 and BDI2000

From: Dan Malek <[email-masked]>
Date: Fri, 09 Jan 2004 17:28:16 -0500

Matthew S. McClintock wrote:

> That leaves me with one question. When I don't do anything in the init
> section of the bdi2000 except one command which is to remove the L2SRAM
> from the initial MMU page and then I proceed with booting the board
> boots fine. If I halt the board examine the CCSRBAR it has moved from
> the default location.

Hmmmmm....interesting.

> I must be missing something, any ideas?

Maybe I am :-)  I'll experiment some more and see.  I was just
describing my experince.  It could be the boot rom initializes far
enough during the BDI2000 power up delay that by the time the BDI2000
asks the cpu core for the CCSRBAR it has the new one?  I'll ask
Abatron and post the response.

Thanks.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/